<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2011 Jürgen Reinhold <jreinhold@freenet.de>
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * A Demand
 */
class Tx_DuRanking_Domain_Model_Demand extends Tx_Extbase_DomainObject_AbstractEntity {
	
	/**
	 * @var Tx_DuRanking_Domain_Model_Season The demanded season
	 **/
	protected $season;
	
	/**
	 * @var Tx_DuRanking_Domain_Model_Location The demanded location
	 **/
	protected $location;
	
	/**
	 * @var Tx_DuRanking_Domain_Model_Person The demanded participant
	 **/
	protected $participant;
	
	/**
	 * @var string The demanded month
	 **/
	protected $month;
	
	/**
	 * @var string The demanded number of participants
	 **/
	protected $participantCount;
	
	/**
	 * gender
	 *
	 * @var string The demanded gender
	 */
	protected $sex;
	
	/**
	 * sorting
	 *
	 * @var int The demanded sorting
	 */
	protected $sorting;
	
	
	/**
	 * Returns the season
	 *
	 * @return Tx_DuRanking_Domain_Model_Season $season
	 */
	public function getSeason() {
		return $this->season;
	}

	/**
	 * Sets the season
	 *
	 * @param Tx_DuRanking_Domain_Model_Season $season
	 * @return void
	 */
	public function setSeason(Tx_DuRanking_Domain_Model_Season $season) {
		$this->season = $season;
	}

	/**
	 * Returns the location
	 *
	 * @return Tx_DuRanking_Domain_Model_Location $location
	 */
	public function getLocation() {
		return $this->location;
	}

	/**
	 * Sets the location
	 *
	 * @param Tx_DuRanking_Domain_Model_Location $location
	 * @return void
	 */
	public function setLocation(Tx_DuRanking_Domain_Model_Location $location) {
		$this->location = $location;
	}
	
	/**
	 * Returns the participant
	 *
	 * @return Tx_DuRanking_Domain_Model_Person $participant
	 */
	public function getParticipant() {
		return $this->participant;
	}

	/**
	 * Sets the participant
	 *
	 * @param Tx_DuRanking_Domain_Model_Person $participant
	 * @return void
	 */
	public function setParticipant(Tx_DuRanking_Domain_Model_Person $participant) {
		$this->participant = $participant;
	}

	/**
	 * @param string The month of the demand
	 * @return void
	 */
	public function setMonth($month) {
		$this->month = $month;
	}

	/**
	 * @return string The month of the demand
	 */
	public function getMonth() {
		return $this->month;
	}
	
	/**
	 * @param string The number of participants of the demand
	 * @return void
	 */
	public function setParticipantCount($count) {
		$this->participantCount = $count;
	}

	/**
	 * @return string The number of participants of the demand
	 */
	public function getParticipantCount() {
		return $this->participantCount;
	}
	
	/**
	 * Returns the sex
	 *
	 * @return string $sex
	 */
	public function getSex() {
		return $this->sex;
	}

	/**
	 * Sets the sex
	 *
	 * @param string $sex
	 * @return void
	 */
	public function setSex($sex) {
		$this->sex = $sex;
	}
	
	/**
	 * Returns the sorting
	 *
	 * @return int $sorting
	 */
	public function getSorting() {
		return $this->sorting;
	}

	/**
	 * Sets the sorting
	 *
	 * @param int $sorting
	 * @return void
	 */
	public function setSorting($sorting) {
		$this->sorting = $sorting;
	}
	
}
?>