<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2011 Jürgen Reinhold <jreinhold@freenet.de>
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/


/**
 *
 *
 * @package du_ranking
 * @license http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License, version 3 or later
 *
 */
class Tx_DuRanking_Domain_Model_Person extends Tx_Extbase_DomainObject_AbstractEntity {

	/**
	 * firstname
	 *
	 * @var string
	 * @validate NotEmpty
	 */
	protected $firstname;

	/**
	 * lastname
	 *
	 * @var string
	 * @validate NotEmpty
	 */
	protected $lastname;

	/**
	 * onlinename
	 *
	 * @var string
	 */
	protected $onlinename;

	/**
	 * team name
	 *
	 * @var string
	 */
	protected $team;
	
	/**
	 * sex
	 *
	 * @var int
	 */
	protected $sex;

	/**
	 * isMember
	 *
	 * @var boolean
	 * @validate NotEmpty
	 */
	protected $isMember;

	/**
	 * __construct
	 *
	 * @return void
	 */
	public function __construct() {

	}

	/**
	 * Returns the firstname
	 *
	 * @return string $firstname
	 */
	public function getFirstname() {
		return $this->firstname;
	}

	/**
	 * Sets the firstname
	 *
	 * @param string $firstname
	 * @return void
	 */
	public function setFirstname($firstname) {
		$this->firstname = $firstname;
	}

	/**
	 * Returns the lastname
	 *
	 * @return string $lastname
	 */
	public function getLastname() {
		return $this->lastname;
	}

	/**
	 * Sets the lastname
	 *
	 * @param string $lastname
	 * @return void
	 */
	public function setLastname($lastname) {
		$this->lastname = $lastname;
	}

	/**
	 * Returns the onlinename
	 *
	 * @return string $onlinename
	 */
	public function getOnlinename() {
		return $this->onlinename;
	}

	/**
	 * Sets the onlinename
	 *
	 * @param string $onlinename
	 * @return void
	 */
	public function setOnlinename($onlinename) {
		$this->onlinename = $onlinename;
	}

	/**
	 * Returns the team name
	 *
	 * @return string $team
	 */
	public function getTeam() {
		return $this->team;
	}

	/**
	 * Sets the team name
	 *
	 * @param string $team
	 * @return void
	 */
	public function setTeam($team) {
		$this->team = $team;
	}
	
	/**
	 * Returns the sex
	 *
	 * @return int $sex
	 */
	public function getSex() {
		return $this->sex;
	}

	/**
	 * Sets the sex
	 *
	 * @param int $sex
	 * @return void
	 */
	public function setSex($sex) {
		$this->sex = $sex;
	}

	/**
	 * Returns the isMember
	 *
	 * @return boolean $isMember
	 */
	public function getIsMember() {
		return $this->isMember;
	}

	/**
	 * Sets the isMember
	 *
	 * @param boolean $isMember
	 * @return void
	 */
	public function setIsMember($isMember) {
		$this->isMember = $isMember;
	}

	/**
	 * Returns the boolean state of isMember
	 *
	 * @return boolean
	 */
	public function isIsMember() {
		return $this->getIsMember();
	}

	/**
	 * Converts the value object to a string reprsentation
	 *
	 * @return string The string representation of the person
	 */
	public function __toString() {
		$ret = '';
		if ($this->onlinename) {
			$ret = $this->onlinename;
		}
		else {
			$ret = $this->firstname.' '.$this->lastname;
		}
		return $ret;
	}

}
?>