<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2011 Jürgen Reinhold <jreinhold@freenet.de>
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/


/**
 *
 *
 * @package du_ranking
 * @license http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License, version 3 or later
 *
 */
class Tx_DuRanking_Domain_Model_Positions extends Tx_Extbase_DomainObject_AbstractEntity {

	/**
	 * number
	 *
	 * @var integer
	 * @validate NotEmpty
	 */
	protected $number;

	/**
	 * points
	 *
	 * @var integer
	 */
	protected $points;

	/**
	 * participant
	 *
	 * @var Tx_DuRanking_Domain_Model_Person
	 */
	protected $participant;

	/**
	 * __construct
	 *
	 * @return void
	 */
	public function __construct() {

	}

	/**
	 * Returns the number
	 *
	 * @return integer $number
	 */
	public function getNumber() {
		return $this->number;
	}

	/**
	 * Sets the number
	 *
	 * @param integer $number
	 * @return void
	 */
	public function setNumber($number) {
		$this->number = $number;
	}

	/**
	 * Returns the points
	 *
	 * @return integer $points
	 */
	public function getPoints() {
		return $this->points;
	}

	/**
	 * Sets the points
	 *
	 * @param integer $points
	 * @return void
	 */
	public function setPoints($points) {
		$this->points = $points;
	}

	/**
	 * Returns the participant
	 *
	 * @return Tx_DuRanking_Domain_Model_Person $participant
	 */
	public function getParticipant() {
		return $this->participant;
	}

	/**
	 * Sets the participant
	 *
	 * @param Tx_DuRanking_Domain_Model_Person $participant
	 * @return void
	 */
	public function setParticipant(Tx_DuRanking_Domain_Model_Person $participant) {
		$this->participant = $participant;
	}

}
?>