<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2011 Jürgen Reinhold <jreinhold@freenet.de>
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/


/**
 *
 *
 * @package du_ranking
 * @license http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License, version 3 or later
 *
 */
class Tx_DuRanking_Domain_Model_Season extends Tx_Extbase_DomainObject_AbstractEntity {

	/**
	 * name
	 *
	 * @var string
	 * @validate NotEmpty
	 */
	protected $name;

	/**
	 * beginDate
	 *
	 * @var DateTime
	 * @validate NotEmpty
	 */
	protected $beginDate;

	/**
	 * endDate
	 *
	 * @var DateTime
	 * @validate NotEmpty
	 */
	protected $endDate;

	/**
	 * tournamentCount
	 *
	 * @var integer
	 * @validate NotEmpty
	 */
	protected $tournamentCount;

	/**
	 * locationCount
	 *
	 * @var integer
	 * @validate NotEmpty
	 */
	protected $locationCount;

	/**
	 * bonus points
	 *
	 * @var integer
	 */
	protected $bonuspoints;
	
	/**
	 * __construct
	 *
	 * @return void
	 */
	public function __construct() {

	}

	/**
	 * Returns the name
	 *
	 * @return string $name
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Sets the name
	 *
	 * @param string $name
	 * @return void
	 */
	public function setName($name) {
		$this->name = $name;
	}

	/**
	 * Returns the beginDate
	 *
	 * @return DateTime $beginDate
	 */
	public function getBeginDate() {
		return $this->beginDate;
	}

	/**
	 * Sets the beginDate
	 *
	 * @param DateTime $beginDate
	 * @return void
	 */
	public function setBeginDate($beginDate) {
		$this->beginDate = $beginDate;
	}

	/**
	 * Returns the endDate
	 *
	 * @return DateTime $endDate
	 */
	public function getEndDate() {
		return $this->endDate;
	}

	/**
	 * Sets the endDate
	 *
	 * @param DateTime $endDate
	 * @return void
	 */
	public function setEndDate($endDate) {
		$this->endDate = $endDate;
	}

	/**
	 * Returns the tournamentCount
	 *
	 * @return integer $tournamentCount
	 */
	public function getTournamentCount() {
		return $this->tournamentCount;
	}

	/**
	 * Sets the tournamentCount
	 *
	 * @param integer $tournamentCount
	 * @return void
	 */
	public function setTournamentCount($tournamentCount) {
		$this->tournamentCount = $tournamentCount;
	}

	/**
	 * Returns the locationCount
	 *
	 * @return integer $locationCount
	 */
	public function getLocationCount() {
		return $this->locationCount;
	}

	/**
	 * Sets the locationCount
	 *
	 * @param integer $locationCount
	 * @return void
	 */
	public function setLocationCount($locationCount) {
		$this->locationCount = $locationCount;
	}

	/**
	 * Returns the bonuspoints
	 *
	 * @return integer $bonuspoints
	 */
	public function getBonuspoints() {
		return $this->bonuspoints;
	}

	/**
	 * Sets the bonuspoints
	 *
	 * @param integer $bonuspoints
	 * @return void
	 */
	public function setBonuspoints($bonuspoints) {
		$this->bonuspoints = $bonuspoints;
	}
	
}
?>