<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['tx_duranking_domain_model_tournament'] = array(
	'ctrl' => $TCA['tx_duranking_domain_model_tournament']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, season, tournament_date, location, manager, notice, positions',
	),
	'types' => array(
		'1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, season, tournament_date, location, manager, notice, positions, --div--;LLL:EXT:cms/locallang_ttc.xml:tabs.access,starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_duranking_domain_model_tournament',
				'foreign_table_where' => 'AND tx_duranking_domain_model_tournament.pid=###CURRENT_PID### AND tx_duranking_domain_model_tournament.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),
		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'tournament_date' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_tournament.tournament_date',
			'config' => array(
				'type' => 'input',
				'size' => 12,
				'max' => 20,
				'eval' => 'datetime,required',
				'checkbox' => 1,
				'default' => time()
			),
		),
		'positions' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_tournament.positions',
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_duranking_domain_model_positions',
				'foreign_field' => 'tournament',
				'maxitems'      => 9999,
				'appearance' => array(
					'collapse' => 0,
					'levelLinksPosition' => 'top',
					'showSynchronizationLink' => 1,
					'showPossibleLocalizationRecords' => 1,
					'showAllLocalizationLink' => 1
				),
			),
		),
		'season' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_tournament.season',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'tx_duranking_domain_model_season',
				'minitems' => 0,
				'maxitems' => 1,
			),
		),
		'location' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_tournament.location',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'tt_address',
				'foreign_table_where' => 'AND tt_address.deleted=0 AND tt_address.hidden=0 ORDER BY tt_address.name',
				'minitems' => 0,
				'maxitems' => 1,
			),
		),
		'manager' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_tournament.manager',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'tx_cfcleague_profiles',
				'foreign_table_where' => 'AND tx_cfcleague_profiles.deleted=0 AND tx_cfcleague_profiles.hidden=0 ORDER BY tx_cfcleague_profiles.last_name',
				'minitems' => 0,
				'maxitems' => 1,
			),
		),
		'notice' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:du_ranking/Resources/Private/Language/locallang_db.xml:tx_duranking_domain_model_tournament.notice',
			'config' => array(
				'type' => 'text',
				'eval' => 'trim'
			),
		)
	),
);
?>