<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2011 Jürgen Reinhold <jreinhold@freenet.de>
 *  			
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class Tx_DuRanking_Domain_Model_Tournament.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage DU_Ranking
 *
 * @author Jürgen Reinhold <jreinhold@freenet.de>
 */
class Tx_DuRanking_Domain_Model_TournamentTest extends Tx_Extbase_Tests_Unit_BaseTestCase {
	/**
	 * @var Tx_DuRanking_Domain_Model_Tournament
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new Tx_DuRanking_Domain_Model_Tournament();
	}

	public function tearDown() {
		unset($this->fixture);
	}
	
	
	/**
	 * @test
	 */
	public function getTournamentDateReturnsInitialValueForDateTime() { }

	/**
	 * @test
	 */
	public function setTournamentDateForDateTimeSetsTournamentDate() { }
	
	/**
	 * @test
	 */
	public function getPositionsReturnsInitialValueForObjectStorageContainingTx_DuRanking_Domain_Model_Positions() { 
		$newObjectStorage = new Tx_Extbase_Persistence_ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->fixture->getPositions()
		);
	}

	/**
	 * @test
	 */
	public function setPositionsForObjectStorageContainingTx_DuRanking_Domain_Model_PositionsSetsPositions() { 
		$position = new Tx_DuRanking_Domain_Model_Positions();
		$objectStorageHoldingExactlyOnePositions = new Tx_Extbase_Persistence_ObjectStorage();
		$objectStorageHoldingExactlyOnePositions->attach($position);
		$this->fixture->setPositions($objectStorageHoldingExactlyOnePositions);

		$this->assertSame(
			$objectStorageHoldingExactlyOnePositions,
			$this->fixture->getPositions()
		);
	}
	
	/**
	 * @test
	 */
	public function addPositionToObjectStorageHoldingPositions() {
		$position = new Tx_DuRanking_Domain_Model_Positions();
		$objectStorageHoldingExactlyOnePosition = new Tx_Extbase_Persistence_ObjectStorage();
		$objectStorageHoldingExactlyOnePosition->attach($position);
		$this->fixture->addPosition($position);

		$this->assertEquals(
			$objectStorageHoldingExactlyOnePosition,
			$this->fixture->getPositions()
		);
	}

	/**
	 * @test
	 */
	public function removePositionFromObjectStorageHoldingPositions() {
		$position = new Tx_DuRanking_Domain_Model_Positions();
		$localObjectStorage = new Tx_Extbase_Persistence_ObjectStorage();
		$localObjectStorage->attach($position);
		$localObjectStorage->detach($position);
		$this->fixture->addPosition($position);
		$this->fixture->removePosition($position);

		$this->assertEquals(
			$localObjectStorage,
			$this->fixture->getPositions()
		);
	}
	
	/**
	 * @test
	 */
	public function getSeasonReturnsInitialValueForTx_DuRanking_Domain_Model_Season() { }

	/**
	 * @test
	 */
	public function setSeasonForTx_DuRanking_Domain_Model_SeasonSetsSeason() { }
	
	/**
	 * @test
	 */
	public function getLocationReturnsInitialValueForTx_DuRanking_Domain_Model_Location() { }

	/**
	 * @test
	 */
	public function setLocationForTx_DuRanking_Domain_Model_LocationSetsLocation() { }
	
	/**
	 * @test
	 */
	public function getManagerReturnsInitialValueForTx_DuRanking_Domain_Model_Person() { }

	/**
	 * @test
	 */
	public function setManagerForTx_DuRanking_Domain_Model_PersonSetsManager() { }
	
}
?>